%global major 4
%global minor 4
%global minor2 10
%global plevel 12

Name:           gap
Version:        %{major}.%{minor}.%{minor2}.%{plevel}
Release:        1%{?dist}
Summary:        System for computational discrete algebra

Group:          Development/Languages
License:        GPLv2+
URL:            http://www.gap-system.org
Source0:        http://sagemath.org/packages/standard/gap-%{major}.%{minor}.%{minor2}.p%{plevel}.spkg
Patch0:         %{name}-build-id.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GAP is a system for computational discrete algebra with particular
emphasis on computational group theory, but which has already proved
useful also in other areas. In the example text, gap is used to
analyse Rubik's Cube using group theory. A kernel implements a
Pascal-like language.

%package devel
Summary:        Headers for %{name}
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header files for %{name}

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
This package contains the documentation for %{name}


%prep
%setup -q -n gap-%{major}.%{minor}.%{minor2}.p%{plevel}
#%patch0

%build
cd src
%configure
make %{?_smp_mflags}
# fix gap shell script
perl -pi -e"s@^GAP_DIR=.*@GAP_DIR=%{_libdir}/%{name}@" \
        bin/%{name}.sh

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_bindir},%{_libdir}/%{name}}
cd src
for file in etc grp lib pkg src sysinfo.gap tst
do
    cp -a $file %{buildroot}%{_libdir}/%{name}
done
mkdir -p %{buildroot}%{_libdir}/%{name}/bin/x86_64-redhat-linux-gnu-gcc/
cp -a bin/x86_64-redhat-linux-gnu-gcc/gap %{buildroot}%{_libdir}/%{name}/bin/x86_64-redhat-linux-gnu-gcc/
cp -al  bin/%{name}.sh \
        %{buildroot}%{_bindir}/%{name}
rm %{buildroot}%{_libdir}/%{name}/pkg/guava3.4/src/leonconv


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/bin
%{_libdir}/%{name}/etc
%{_libdir}/%{name}/grp
%{_libdir}/%{name}/lib
%{_libdir}/%{name}/pkg
%{_libdir}/%{name}/sysinfo.gap
%{_libdir}/%{name}/tst
%exclude %{_libdir}/%{name}/pkg/guava3.4/src/
%exclude %{_libdir}/%{name}/src

%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}/src
%{_libdir}/%{name}/pkg/guava3.4/src/

%files doc
%defattr(-,root,root,-)
%doc src/description* src/README src/doc


%changelog
* Fri Oct 16 2009 Thomas Spura <tomspur@fedoraproject.org> 4.4.10-1
- Initial spec
